<script setup>
import { useProductsStore } from "../../stores/products.js";
const productsStore = useProductsStore()

defineProps({
  product: Object
})

const removeProduct = (p) => {
  productsStore.cart = productsStore.cart.filter(product => product.id !== p.id)
}

const imageUrl = new URL(`../../assets/images/`, import.meta.url).href

</script>

<template>
  <li class="flex py-6">
    <div class="h-24 w-24 flex-shrink-0 overflow-hidden rounded-md">
      <img
        class="h-full w-full object-cover object-center"
        :src="imageUrl + '/' + product.imageSrc"
        :alt="product.imageAlt"
      />
    </div>

    <div class="ml-4 flex flex-1 flex-col">
      <div>
        <div class="flex justify-between text-base font-medium text-gray-900">
          <h3>
            <a :href="product.href">{{ product.name }}</a>
          </h3>
          <p class="ml-4">${{ product.price }}</p>
        </div>
        <p class="mt-1 text-sm text-gray-500">{{ product.color }}</p>
      </div>
      <div class="flex flex-1 items-end justify-between text-sm">
        <div class="flex">
          <button
            type="button"
            class="font-medium text-black-600 hover:text-black-500 underline"
            @click="removeProduct(product)"
          >Remove
          </button>
        </div>
      </div>
    </div>
  </li>
</template>